

module  Top
#( 
    parameter   MODEL_LSB       =0,
    parameter   CPOL            =0,
    parameter   CPHA            =0,
    parameter   BIT_WIDTH       =8 
)
(
//SPI IO
	input  GW_BACKGROUND_EXT_SCLK,
	input  GW_BACKGROUND_EXT_CS_N,
	input  GW_BACKGROUND_EXT_MOSI,
	output GW_BACKGROUND_EXT_MISO,

//Flash IO 
	output      GW_BACKGROUND_INT_CLK,
	output      GW_BACKGROUND_INT_DO,
	output      GW_BACKGROUND_INT_MODEL,
	output      GW_BACKGROUND_INT_SEL,
	input       GW_BACKGROUND_INT_DI,
	input       GW_BACKGROUND_INT_DI_EN,
// Others 
	output  	GW_BACKGROUND_RECONFIG_N,
	input		GW_BACKGROUND_EXT_SEL,
	output 		[3:0] test_io1,
	output		GW_OSC_CLK,
	output  	Test_LED
)
;

//TEST 

localparam  CNT_NUM     = 2500_000;// Function----1 
//localparam  CNT_NUM     = 25_000_000;// Function----2
wire clk;

reg led =0;

reg [31:0] led_cnt;
wire rstn=1;

always @(posedge clk or negedge rstn)
    if (~rstn)
        led_cnt <=0;
    else if (led_cnt == CNT_NUM-1)
        led_cnt <=0;
    else
        led_cnt <=led_cnt +1;

always @(posedge clk or negedge rstn)
    if (~rstn)
        led <=0;
    else if (led_cnt == CNT_NUM-1)
        led <=~led;

assign  clk = GW_OSC_CLK; //25M


assign  Test_LED = led;


goConfig_SPI_Top inst_SPI_JTAG(
//SPI IO 
	.GW_BACKGROUND_EXT_SCLK(GW_BACKGROUND_EXT_SCLK),
	.GW_BACKGROUND_EXT_CS_N(GW_BACKGROUND_EXT_CS_N),
	.GW_BACKGROUND_EXT_MOSI(GW_BACKGROUND_EXT_MOSI),
	.GW_BACKGROUND_EXT_MISO(GW_BACKGROUND_EXT_MISO),
//flash IO 
	.GW_BACKGROUND_INT_CLK(GW_BACKGROUND_INT_CLK),
	.GW_BACKGROUND_INT_DO(GW_BACKGROUND_INT_DO),
	.GW_BACKGROUND_INT_MODEL(GW_BACKGROUND_INT_MODEL),
	.GW_BACKGROUND_INT_DI(GW_BACKGROUND_INT_DI),
	.GW_BACKGROUND_INT_DI_EN(GW_BACKGROUND_INT_DI_EN),
	.GW_BACKGROUND_INT_SEL(GW_BACKGROUND_INT_SEL),
//
	.GW_BACKGROUND_RECONFIG_N(GW_BACKGROUND_RECONFIG_N),
	.GW_BACKGROUND_EXT_SEL(GW_BACKGROUND_EXT_SEL),
	.GW_OSC_CLK(GW_OSC_CLK)
);
//***********************************************
// OSC : 25 MHz 
//***********************************************

    Gowin_OSC u_OSC(
        .oscout(GW_OSC_CLK), //output oscout
        .oscen(1'b1) //input oscen
    );

//***********************************************
// Test IO
//***********************************************


assign  test_io1 = 0;

endmodule